This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 650180 - Review Request: tkabber - Client for the Jabber instant messaging system
Review Request: tkabber - Client for the Jabber instant messaging system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
: 446976 (view as bug list)
Depends On:
Blocks: 650181
  Show dependency treegraph
 
Reported: 2010-11-05 09:45 EDT by Dmitrij S. Kryzhevich
Modified: 2010-11-16 18:15 EST (History)
4 users (show)

See Also:
Fixed In Version: tkabber-0.11.1-2.svn1948.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-07 23:03:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dmitrij S. Kryzhevich 2010-11-05 09:45:40 EDT
Spec URL: http://krege.fedorapeople.org/tkabber/tkabber.spec
SRPM URL: http://krege.fedorapeople.org/tkabber/tkabber-0.11.1-1.svn1948.fc14.src.rpm

Description:
Tkabber is a Free and Open Source client for the Jabber
instant messaging system. It's written in Tcl/Tk, and
works on many platforms. The choice of Tcl/Tk for a Jabber
client is three-fold:
* it is portable: once you install a Tcl/Tk interpreter on
  your system, the Tkabber script "just runs" — without having
  to compile anything;
* it is customizable: Tkabber reads a configuration file when
  it starts that tells it the settings of various parameters; and,
* it is extensible: the configuration file is actually a Tcl
  script, so you can replace or augment entire portions of Tkabber
  (if you're so inclined).

# rpmlint tkabber-0.11.1-1.svn1948.fc14.noarch.rpm tkabber-0.11.1-1.svn1948.fc14.src.rpm 
tkabber.noarch: E: explicit-lib-dependency tcl-zlib
tkabber.noarch: E: explicit-lib-dependency tcllib
tkabber.noarch: W: spelling-error %description -l en_US customizable -> customization, customize, customable
tkabber.noarch: W: no-manual-page-for-binary tkabber-remote
tkabber.noarch: W: no-manual-page-for-binary tkabber
tkabber.src: W: spelling-error %description -l en_US customizable -> customization, customize, customable
tkabber.src: W: strange-permission tkabber 0755L
tkabber.src: W: strange-permission tkabber-remote 0755L
tkabber.src: W: strange-permission tkabber-snapshot.sh 0755L
tkabber.src:13: W: macro-in-comment %{name}
tkabber.src:13: W: macro-in-comment %{version}
tkabber.src: W: invalid-url Source0: tkabber-0.11.1.tar.bz2
2 packages and 0 specfiles checked; 2 errors, 10 warnings.

explicit-lib-dependency: both are can't be automaticaly defined while rpm building.
No man page: not required.
strange-permission: I need to provide start scripts for including into dist.
strange-permission: (on tkabber-snapshot.sh) svn version of tkabber have a lot of advantages on the release one, there is a script to get this version of tkabber.
macro-in-comment: Source0 reservertion for release, %{name} and %{version} do have no hurt. So, it is a explonation for "invalid-url Source0" too.

There will be also a tkabber-plugins package.
Comment 1 Peter Lemenkov 2010-11-05 11:06:14 EDT
*** Bug 446976 has been marked as a duplicate of this bug. ***
Comment 2 Peter Lemenkov 2010-11-05 11:57:50 EDT
Taking this for review.
Comment 3 Peter Lemenkov 2010-11-05 12:18:13 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is NOT silent

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/noarch/tkabber-0.11.1-1.svn1948.fc12.noarch.rpm 
tkabber.noarch: E: explicit-lib-dependency tcl-zlib
tkabber.noarch: E: explicit-lib-dependency tcllib
tkabber.noarch: W: spelling-error %description -l en_US customizable -> customization, customize, customable
tkabber.noarch: W: no-manual-page-for-binary tkabber-remote
tkabber.noarch: W: no-manual-page-for-binary tkabber
1 packages and 0 specfiles checked; 2 errors, 3 warnings.
sulaco ~/rpmbuild/SPECS: 

sulaco ~/rpmbuild/SPECS: rpmlint ../SRPMS/tkabber-0.11.1-1.svn1948.fc12.src.rpm 
tkabber.src: W: spelling-error %description -l en_US customizable -> customization, customize, customable
tkabber.src: W: strange-permission tkabber 0755
tkabber.src: W: strange-permission tkabber-remote 0755
tkabber.src: W: strange-permission tkabber-snapshot.sh 0755
tkabber.src:13: W: macro-in-comment %{name}
tkabber.src:13: W: macro-in-comment %{version}
tkabber.src: W: invalid-url Source0: tkabber-0.11.1.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
sulaco ~/rpmbuild/SPECS:

All these messages were explained by the submitter (see above).

+ The package is named according to the  Package Naming Guidelines. The versioning scheme is correct because it's a post-release snapshot. 

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.

- The License field in the package spec file DOES NOT match the actual license (GPLv2+).

+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The package successfully compiles and builds into binary rpms on at least one primary architecture (my F-12 ppc).
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
+ The package includes a %{name}.desktop file, and this file is properly installed with desktop-file-install in the %install section.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Fix License tag, and I'll continue.
Comment 5 Peter Lemenkov 2010-11-05 12:45:57 EDT
Ok, good. I don't see any other issues so this package is

APPROVED.
Comment 6 Dmitrij S. Kryzhevich 2010-11-05 22:26:12 EDT
Thank you.

New Package SCM Request
=======================
Package Name: tkabber
Short Description: Client for the Jabber instant messaging system
Owners: krege
Branches: F13 F14
InitialCC:
Comment 7 Jason Tibbitts 2010-11-07 10:46:18 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2010-11-07 22:47:37 EST
tkabber-0.11.1-2.svn1948.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/tkabber-0.11.1-2.svn1948.fc13
Comment 9 Fedora Update System 2010-11-07 22:48:52 EST
tkabber-0.11.1-2.svn1948.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tkabber-0.11.1-2.svn1948.fc14
Comment 10 Dmitrij S. Kryzhevich 2010-11-07 23:03:27 EST
According #10 for Contributor from https://fedoraproject.org/wiki/Package_Review_Process, closed NEXTRELEASE.
Comment 11 Fedora Update System 2010-11-16 18:12:28 EST
tkabber-0.11.1-2.svn1948.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-11-16 18:15:46 EST
tkabber-0.11.1-2.svn1948.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.